; CPhone installer script for NSIS
; Taken (with permission) from the MyPhone installer
; written by -=MaGGuS=- 
;--------------------------------
!macro BIMAGE IMAGE PARMS
	Push $0
	GetTempFileName $0
	File /oname=$0 "${IMAGE}"
	SetBrandingImage ${PARMS} $0
	Delete $0
	Pop $0
!macroend
;--------------------------------

; Sets the font of the installer
;SetFont "Comic Sans MS" 10
SetFont "Arial" 8

; The name of the installer
Name "CPhone"

; The file to write
OutFile "CPhone_inst.exe"

LicenseText "The MPL - which this program is freely distributable under."
LicenseData "MPL-1_1.txt"

; Adds an XP manifest to the installer
XPStyle on

; Add branding image to the installer (an image placeholder on the side). 
AddBrandingImage top 66

; The default installation directory
InstallDir $PROGRAMFILES\CPhone

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM SOFTWARE\NSIS_cphone "Install_Dir"

; The text to prompt the user to enter a directory
ComponentText "    CPhone is a cross platform  Video&&Audio Chat client for the Internet. \
              CPhone uses  the H323 protocol and libraries from the  \
            OpenH323 Project (www.openh323.org).       \
             Derek J Smithies 2004"

; The text to prompt the user to enter a directory
DirText "Please Set Destination Directory:"

;--------------------------------
Function .onGUIInit
	!insertmacro BIMAGE ".\cphonebanner.bmp" /RESIZETOFIT
FunctionEnd
;--------------------------------

; The stuff to install
Section "CPhone"

  SectionIn RO
  
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  
  ; Put file there
   File ".\CPhone.exe"
   File ".\OpenH323.dll"
   File ".\PTLib.dll"
   File ".\qt-mtnc321.dll"
   File ".\docs.pdf"

  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\NSIS_cphone "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CPhone" "DisplayName" "CPhone"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CPhone" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; optional section (can be disabled by the user)
Section "Add Start Menu Chortcuts?"

  CreateDirectory "$SMPROGRAMS\CPhone"
  CreateShortCut "$SMPROGRAMS\CPhone\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\CPhone\CPhone.lnk" "$INSTDIR\CPhone.exe" "" "$INSTDIR\CPhone.exe" 0
  CreateShortCut "$SMPROGRAMS\CPhone\Docs.lnk" "$INSTDIR\docs.pdf" "" "$INSTDIR\docs.pdf" 0
  
SectionEnd

;--------------------------------

; Uninstaller

UninstallText "Uninstall CPhone IP Voice Chat..."

; Uninstall section

Section "Uninstall"
  
  ; remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CPhone"
  DeleteRegKey HKLM SOFTWARE\NSIS_cphone

  ; remove shortcuts, if any
  Delete "$SMPROGRAMS\CPhone\*.*"

  ; remove directories used
  RMDir "$SMPROGRAMS\CPhone"

  ; remove files and uninstaller
  Delete $INSTDIR\CPhone.exe
  Delete $INSTDIR\uninstall.exe
  Delete $INSTDIR\OpenH323.dll
  Delete $INSTDIR\PTLib.dll
  Delete $INSTDIR\qt-mtnc321.dll
  Delete $INSTDIR\docs.pdf
  RMDir "$INSTDIR"

SectionEnd