//
//  The contents of this file are subject to the Mozilla Public License
//  Version 1.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.mozilla.org/MPL/
// 
//  Software distributed under the License is distributed on an "AS IS"
//  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
//  the License for the specific language governing rights and limitations
//  under the License.
// 
//  The Original Code is CPhone, a cross platform voip gui.
//
//  The Initial Developer of the Original Code is Derek Smithies.
//
//  Copyright (C) 2002 Indranet Technologies Ltd, 
//                                  http://www.indranet-technologies.com
//  All Rights Reserved.
//
//  Contributor(s): _______________

/*
 *
 *  $Log: audiopropertiesSub.h,v $
 *  Revision 1.3  2003/08/26 04:48:02  dereksmithies
 *  Fixes to get statistics working right, add icons, add ok,cancel,apply buttons
 *
 *  Revision 1.2  2003/04/04 04:37:49  dereksmithies
 *  Major upgrade.
 *  Ixj & microtelco support added. Fix threading issues.
 *
 *  Revision 1.1.1.1  2002/05/12 22:55:02  dereksmithies
 *  Initial release.
 *
 *
 *
 *
 */


#ifndef AUDIOPROPERTIESSUB_H
#define AUDIOPROPERTIESSUB_H
#include "audioproperties.h"
#include "mainwindowSub.h"

#include <ptlib.h>
#include "cpendpoint.h"

class AudioProperties : public FormAudioProperties
{ 
public:
    AudioProperties(AudioOptions & ao);

    ~AudioProperties();

    void ApplySoundProps_Slot();

    void CancelSoundProps_Slot();

    void OkSoundProps_Slot();

    void OnConnectionEstablished(bool isEstablished);

    void closeEvent(QCloseEvent *e);    

    void customEvent(QCustomEvent *ce);

 private:
    void Setup();
    void SaveCurrentEntries();

    AudioOptions    & audioConfig;
};

#endif // AUDIOPROPERTIESSUB_H
