//
//  The contents of this file are subject to the Mozilla Public License
//  Version 1.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.mozilla.org/MPL/
// 
//  Software distributed under the License is distributed on an "AS IS"
//  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
//  the License for the specific language governing rights and limitations
//  under the License.
// 
//  The Original Code is CPhone, a cross platform voip gui.
//
//  The Initial Developer of the Original Code is Derek Smithies.
//
//  Copyright (C) 2002 Indranet Technologies Ltd, 
//                                  http://www.indranet-technologies.com
//  All Rights Reserved.
//
//  Contributor(s): _______________


/*
 *  $Log: callanswerSub.h,v $
 *  Revision 1.2  2003/04/04 04:37:49  dereksmithies
 *  Major upgrade.
 *  Ixj & microtelco support added. Fix threading issues.
 *
 *  Revision 1.1.1.1  2002/05/12 22:55:05  dereksmithies
 *  Initial release.
 *
 *
 *
 *
 */


#ifndef CALLANSWER_H
#define CALLANSWER_H

#include "callanswer.h"
#include <ptlib.h>
#include "mainwindowSub.h"
#include <qthread.h>
//#include <qtimer.h>

class CallAnswer : public FormCallAnswer
{ 
 public:

    CallAnswer(QString remoteNode);
    ~CallAnswer();

    void Setup();

    //slots to cope with button press events.
    void AcceptIncomingCall_slot();
    void RejectIncomingCall_slot();

    void closeEvent(QCloseEvent *e);
    void customEvent(QCustomEvent *e);

 protected:
    void AdviseParent(unsigned action);
    void timerEvent(QTimerEvent *);

    QString remoteNode;
};

#endif // CALLANSWER_H
