//
//  The contents of this file are subject to the Mozilla Public License
//  Version 1.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.mozilla.org/MPL/
// 
//  Software distributed under the License is distributed on an "AS IS"
//  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
//  the License for the specific language governing rights and limitations
//  under the License.
// 
//  The Original Code is CPhone, a cross platform voip gui.
//
//  The Initial Developer of the Original Code is Derek Smithies.
//
//  Copyright (C) 2002 Indranet Technologies Ltd, 
//                                  http://www.indranet-technologies.com
//  All Rights Reserved.
//
//  Contributor(s): _______________


/*
 *
 * $Log: cpendpoint.cxx,v $
 * Revision 1.9  2004/06/02 04:56:43  dereksmithies
 * Bring up to date with CVS as of today, Uses codec plugins now.
 * You may need to set the PWLIBPLUGINPATH environment variable.
 *
 * Revision 1.8  2004/04/21 22:08:23  dereksmithies
 * Fixes to bring up to date with current openh323 CVS. Thanks to Peter Nixon.
 *
 * Revision 1.7  2003/04/04 04:37:49  dereksmithies
 * Major upgrade.
 * Ixj & microtelco support added. Fix threading issues.
 *
 * Revision 1.6  2003/02/27 23:14:02  dereksmithies
 * Fix to get it to work with the latest openh323 libraries.
 *
 * Revision 1.5  2003/02/03 09:07:37  rogerhardiman
 * Change AverageBitRate to MaxBitRate for new OpenH323 API
 *
 * Revision 1.4  2002/11/27 23:52:48  dereksmithies
 * Changes to make compatible with current openh323 library code.
 *
 * Revision 1.3  2002/07/31 22:14:52  dereksmithies
 * Minor tweaks.
 *
 * Revision 1.2  2002/05/26 23:01:41  dereksmithies
 * Correct start up test for availability of the listener/connect port.
 *
 * Revision 1.1.1.1  2002/05/12 22:55:01  dereksmithies
 * Initial release.
 *
 *
 *
 */

#include <ptlib.h>
#include <qapplication.h>

#include "mainwindowSub.h"
#include "main.h"
#include "h261codec.h"
#include "h323pdu.h"
#include "cpendpoint.h"
#include "qtvid.h"
#include "keys.h"



///////////////////////////////////////////////////////////////



////////////////////////////////////////////////////////////////////////////

CpVideoChannel::CpVideoChannel()
  :PVideoChannel()
{
}

CpVideoChannel::~CpVideoChannel()
{
}
  
BOOL CpVideoChannel::Close()
{
  return TRUE;
}


void CpVideoChannel::AttachVideoPlayer(PVideoOutputDevice *player, BOOL keepCurrent)
{
  PVideoChannel::AttachVideoPlayer(player, keepCurrent);
}


void CpVideoChannel::RemoveVideoImage()
{
  RestrictAccess();
  QtVideoDevice *dev = (QtVideoDevice *)GetVideoPlayer();
  if (dev != NULL)
    dev->RemoveVideoImage();
  EnableAccess();
}

// End of File ///////////////////////////////////////////////////////////////

