//
//  The contents of this file are subject to the Mozilla Public License
//  Version 1.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.mozilla.org/MPL/
// 
//  Software distributed under the License is distributed on an "AS IS"
//  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
//  the License for the specific language governing rights and limitations
//  under the License.
// 
//  The Original Code is CPhone, a cross platform voip gui.
//
//  The Initial Developer of the Original Code is Derek Smithies.
//
//  Copyright (C) 2002 Indranet Technologies Ltd, 
//                                  http://www.indranet-technologies.com
//  All Rights Reserved.
//
//  Contributor(s): _______________


/*
 *  $Log: keys.h,v $
 *  Revision 1.4  2003/09/02 03:37:32  dereksmithies
 *  Add statistics, new icons, toolbuttons (icon + name)
 *
 *  Revision 1.3  2003/08/26 04:48:02  dereksmithies
 *  Fixes to get statistics working right, add icons, add ok,cancel,apply buttons
 *
 *  Revision 1.2  2003/04/04 04:37:49  dereksmithies
 *  Major upgrade.
 *  Ixj & microtelco support added. Fix threading issues.
 *
 *  Revision 1.1.1.1  2002/05/12 22:55:02  dereksmithies
 *  Initial release.
 *
 *
 *
 *
 */
const char LocalVideoWindowTopConfigKey[] = "LocalVideoWindowTop";

#define ADDRESSBOOK_CONFIG                   "AddressBook"
#define AUDIO_CONFIG                         "Audio"
#define CODECS_CONFIG                        "Codecs"
#define SETTINGS_CONFIG                      "Settings"
#define VIDEO_CONFIG                         "Video"
          
#define CHECKBOXAUTOANSWER_KEY               "CheckBoxAutoAnswer"
#define CHECKBOXDEFAULTAUDIO_KEY             "CheckBoxDefaultAudio"
#define CHECKBOXDEFAULTVIDEO_KEY             "CheckBoxDefaultVideo"
#define CHECKBOXDISABLEFASTSTART_KEY         "CheckBoxDisableFastStart"
#define CHECKBOXDISABLEH245TUNNEL_KEY        "CheckBoxDisableH245Tunnel"
#define CHECKBOXDISABLESILENCEDETECTION_KEY  "CheckBoxDisableSilenceDetection"
#define CHECKBOXDISPLAYLOCALVIDEO_KEY        "CheckBoxDisplayLocalVideo"
#define CHECKBOXLARGESIZE_KEY                "CheckBoxLargeSize"
#define CHECKBOXSEARCHFORAGATEKEEPER_KEY     "CheckBoxSearchForAGatekeeper"
#define CHECKBOXVIDEORECEPTIONENABLED_KEY    "CheckBoxVideoReceptionEnabled"
#define CHECKBOXVIDEOTRANSMISSIONENABLED_KEY "CheckBoxVideoTransmissionEnabled"
#define CHECKBOXFLIPLOCALVIDEO_KEY           "CheckBoxFlipLocalVideo"
#define CHECKBOXFLIPRECEIVEDVIDEO_KEY        "CheckBoxFlipReceivedVideo"

#define COMBOBOXAUDIODEVICE_KEY              "ComboBoxAudioDevice"
#define COMBOBOXECHOCANCELLATION_KEY         "ComboBoxEchoCancellation"
#define COMBOBOXVIDEOINPUTDEVICE_KEY         "ComboBoxVideoInputDevice"

#define PUSHBUTTONCANCEL_KEY                 "PushButtonCancel"
#define PUSHBUTTONCONNECT_KEY                "PushButtonConnect" 
#define PUSHBUTTONHELPADDRESSBOOK_KEY        "PushButtonHelpAddressbook"
#define PUSHBUTTONSAVECHANGES_KEY            "PushButtonSaveChanges" 
#define RADIOBUTTONPALVIDEOFORMAT_KEY        "RadioButtonPalVideoFormat"
#define RADIOBUTTONNTSCVIDEOFORMAT_KEY       "RadioButtonNtscVideoFormat"
#define SLIDERBRIGHTNESS_KEY                 "SliderBrightness" 
#define SLIDERCOLOUR_KEY                     "SliderColour"
#define SLIDERCONTRAST_KEY                   "SliderContrast" 
#define SLIDERHUE_KEY                        "SliderHue"
#define SLIDERWHITENESS_KEY                  "SliderWhiteness"
#define SLIDERJITTERBUFFERSIZE_KEY           "SliderJitterBufferSize" 
#define SLIDERMICROPHONE_KEY                 "SliderMicrophone"
#define SLIDERSPEAKER_KEY                    "SliderSpeaker" 
#define SPINBOXBANDWIDTHAUDIO_KEY            "SpinBoxBandwidthAudio"
#define SPINBOXBANDWIDTHVIDEO_KEY            "SpinBoxBandwidthVideo" 
#define SPINBOXFRAMESETHERNETPACKET_KEY      "SpinBoxFramesEthernetPacket"
#define SPINBOXNUMBERSOUNDBUFFERS_KEY        "SpinBoxNumberSoundBuffers" 
#define SPINBOXVIDEOINPUTCHANNEL_KEY         "SpinBoxVideoInputChannel"
#define SPINBOXVIDEORECEIVEQUALITY_KEY       "SpinBoxVideoReceiveQuality"
#define SPINBOXVIDEOTRANSMITQUALITY_KEY      "SpinBoxVideoTransmitQuality"
#define TOOLBUTTONAUDIO_KEY                  "ToolButtonAudio"
#define TOOLBUTTONCONNECT_KEY                "ToolButtonConnect" 
#define TOOLBUTTONEXITPROGRAM_KEY            "ToolButtonExitProgram"
#define TOOLBUTTONSETTINGS_KEY               "ToolButtonSettings" 
#define TOOLBUTTONVIDEO_KEY                  "ToolButtonVideo"

#define SPINBOXFRAMESETHERNETPACKET_KEY      "SpinBoxFramesEthernetPacket"
#define SPINBOXBANDWIDTHAUDIO_KEY            "SpinBoxBandwidthAudio"
#define SPINBOXBANDWIDTHVIDEO_KEY            "SpinBoxBandwidthVideo"

#define SPINBOXLOWUDPPORT_KEY                "SpinBoxLowUdpPort"
#define SPINBOXHIGHUDPPORT_KEY               "SpinBoxHighUdpPort"

#define LINEEDITGATEKEEPER_KEY               "LineEditGatekeeper"
#define LINEEDITUSERNAME_KEY                 "LineEditUserName"

#define EXTERNALNATADDRESS_KEY               "ExternalNatAddress"
#define DONATTRAVERSAL_KEY                   "DoNatTraversal"

#define DOMICROTELCO_KEY                     "DoMicroTelco"
#define MICROTELCOACCOUNT_KEY                "MicroTelcoAccount"
#define MICROTELCOPASSWORD_KEY               "MicroTelcoPassword"

#define SPINBOXLOGLEVEL_KEY                  "SpinBoxLogLevel"
#define DOLOGINTERNALACTIVITY_KEY            "DoLogInternalActivity"
#define LOGFILENAME_KEY                      "LogFileName"
#define DOLOGBLOCKS_KEY                      "CheckBoxLogBlocks"
#define DOLOGDATETIME_KEY                    "CheckBoxLogDateTime"
#define DOLOGFILELINE_KEY                    "CheckBoxLogFileLine"
#define DOLOGLEVELNUMBER_KEY                 "CheckBoxLogLevelNumber"
#define DOLOGTHREADADDRESS_KEY               "CheckBoxLogThreadAddress"
#define DOLOGTHREADNAMES_KEY                 "CheckBoxLogThreadNames"
#define DOLOGTIMESTAMP_KEY                   "CheckBoxLogTimestamp"

#define WINDOWAUDIOSTATS_KEY                 "CheckBoxAudioStats"
#define WINDOWVIDEOSTATS_KEY                 "CheckBoxVideoStats"

