//
//  The contents of this file are subject to the Mozilla Public License
//  Version 1.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.mozilla.org/MPL/
//
//  Software distributed under the License is distributed on an "AS IS"
//  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
//  the License for the specific language governing rights and limitations
//  under the License.
//
//  The Original Code is CPhone, a cross platform voip gui.
//
//  The Initial Developer of the Original Code is Derek Smithies.
//
//  Copyright (C) 2002 Indranet Technologies Ltd,
//                                  http://www.indranet-technologies.com
//  All Rights Reserved.
//
//  Contributor(s): _______________


/*
 *
 *  $Log: message.h,v $
 *  Revision 1.2  2004/04/23 05:09:59  dereksmithies
 *  Fixes so it works with latest openh323 lib, and not lock X display.
 *
 *  Revision 1.1  2003/05/09 03:02:35  dereksmithies
 *  Add thread safe mechanism to display messages.
 *
 *
 *
 *
 *
 */

#ifndef MESSAGE_H
#define MESSAGE_H

#ifndef QT_H
#include "qwidget.h"
#endif
#include <qmessagebox.h>
#include <qthread.h>
#include <ptlib.h>
#include "messagebox.h"

class ThreadSafeMessage : public FormMessageBox
{
 public:
  ThreadSafeMessage(QString newTitle, QString newMessage);
  ~ThreadSafeMessage();

  void customEvent(QCustomEvent *ce);

  void Setup();

  void AcceptConditionSlot();

 protected:

  QString message;
  QString title;
};

#endif // MESSAGE_H
